/**
 * In some cases, we need to use default parameter value in place of an absent one.
 * Please use this function when dealing with the required parameters.
 */
export function getParameterValue({ parameter, values, defaultRequired, lastUsedParameterValue, }: {
    parameter: any;
    values?: {} | undefined;
    defaultRequired?: boolean | undefined;
    lastUsedParameterValue?: null | undefined;
}): any;
/**
 * In some cases, we need to use default parameter value in place of an absent one.
 * Please use this function when dealing with the required parameters.
 */
export function getValuePopulatedParameters({ parameters, values, defaultRequired, collectionPreview, }: {
    parameters: any;
    values?: {} | undefined;
    defaultRequired?: boolean | undefined;
    collectionPreview?: boolean | undefined;
}): any;
export function getDefaultValuePopulatedParameters(parameters: any, parameterValues: any): any;
export function areParameterValuesIdentical(a: any, b: any): boolean;
/**
 * @import { NormalizedParameter } from "../../../../metabase-types/api";
 *
 * @returns {NormalizedParameter}
 */
export function normalizeParameter(parameter: any): NormalizedParameter;
export function normalizeParameters(parameters: any): any;
export function isParameterValueEmpty(value: any): boolean;
export function parameterHasNoDisplayValue(value: any): boolean;
export function normalizeParameterValue(type: any, value: any): any;
export function getParameterValuesBySlug(parameters: any, parameterValuesById: any): {
    [k: string]: any;
};
export function getIsMultiSelect(parameter: any): any;
export const PULSE_PARAM_EMPTY: null;
export const PULSE_PARAM_USE_DEFAULT: undefined;
